ldr {repfdr} | R Documentation

## Estimation of posterior probabilities for the vectors of association status

### Description

The function finds the posterior probabilities ofeach vector of association status for each feature, given the feature's vector of binned z-scores.

### Usage

    ldr(pdf.binned.z, binned.z.mat, Pi, h.vecs = NULL)

### Arguments

`pdf.binned.z`

Same input as in `repfdr`. A 3-dimensional array which contains for each study (first dimension), the probability of a z-score to fall in the bin (second dimension), under each hypothesis status (third dimension). The third dimension can be of size 2 or 3, depending on the number of association states: if the association can be either null or only in one direction, the dimension is 2; if the association can be either null, or positive, or negative, the dimension is 3. Element `[[1]]` in the output of `ztobins`.

`binned.z.mat` | Same input as in `repfdr`. A matrix of the bin numbers for each of the z-scores (rows) in each study (columns). Element `[[2]]` in the output of `ztobins`.
`Pi` | The estimated prior probabilities for each association status vector. Can be extracted from the output of `repfdr` or `piem`, see Example section.
`h.vecs` | The row indices in `H` (see `hconfigs`), corresponding to the association status vectors. By default the posterior probabilities of all possible vectors of association status are computed.

### Details

A subset of features (e.g most significant) can be specified as the rows in `binned.z.mat`, so the posterior probabilities of the vectors of association status are computed for this subset of features. See Example section.

### Value

Matrix with rows that contain for each of the vectors of association status the posterior probabilities. The columns are the different feature.

### See Also

`repfdr`, `piem`, `hconfigs`

### Examples

    ## Not run:
    download.file('http://www.math.tau.ac.il/~ruheller/repfdr_RData/binned_zmat.RData',
      destfile = "binned_zmat.RData")
    load(file = "binned_zmat.RData")

    data(Pi)

    # Fdr calculation:
    output3 <- repfdr(pbz, bz, "replication",Pi.previous.result = Pi)

    BayesFdr <- output3$mat[,"Fdr"]
    sum(BayesFdr <= 0.05)

    # The posterior probabilities for the the first five features with Bayes FDR at most 0.05:
    post <- ldr(pbz,bz[which(BayesFdr <= 0.05)[1:5],],Pi)
    round(post,4)

    # posteriors for a subset of the association status vectors can also be reported,
    # here the subset is the four first association status vectors:
    post <- ldr(pbz,bz[which(BayesFdr <= 0.05)[1:5],],Pi,h.vecs= 1:4)
    round(post,4)

    ## End(Not run)

[Package repfdr version 1.2.3 Index]